Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util
Class TabbedPaneInspectorUI

public class TabbedPaneInspectorUI
implements ChangeListener, PropertyChangeListener, UIComponentService

Class `TabbedPaneInspectorUI` is the service for the inspector. It allows presenting inspector as a tabbed pane. To adds this service to the inspector, use method IdeInspector#setService(Class)

Author:
  TogetherSoft
See Also: IdeInspector, UIInspectorService

Constructor Summary
`TabbedPaneInspectorUI(IdeInspector inspector)` Creates tabbed pane for the specified `inspector`.
`TabbedPaneInspectorUI(IdeInspector inspector, int tabPlacement)` Creates tabbed pane for the specified inspector with the specified location of tabs.

Method Summary
`String` | `getActiveComponentName()` Returns name of the active (selected) tab on this pane.
`Component` | `getUIComponent()` Returns this tabbed pane.
`void` | `propertyChange(PropertyChangeEvent e)` Called whenever property is changed.
`void` | `setActiveComponentName(String name)` Makes specified tab active (selects) on this pane.
`void` | `stateChanged(ChangeEvent e)` Called whenever state of tabbed pane is changed.

Constructor Detail

### TabbedPaneInspectorUI

    public TabbedPaneInspectorUI(IdeInspector inspector)

  Creates tabbed pane for the specified `inspector`. Tabs will locate on the top.
  Parameters:
    inspector - `TabbedPaneInspectorUI` object for which tabbed pane is constructed

### TabbedPaneInspectorUI

    public TabbedPaneInspectorUI(IdeInspector inspector, int tabPlacement)

  Creates tabbed pane for the specified inspector with the specified location of tabs.
  Parameters:
    inspector - `TabbedPaneInspectorUI` object for which tabbed pane is constructed
    tabPlacement - `int` identifier of the tabs' location; Can be `JTabbedPane.TOP` or `JTabbedPane.BOTTOM`

Method Detail

### getActiveComponentName

    public String getActiveComponentName()

  Returns name of the active (selected) tab on this pane.
  Returns: `null` if no pane is initialised or active, `String` name otherwise.

### getUIComponent

    public Component getUIComponent()

  Returns this tabbed pane.
  Returns: `Component` this tabbed pane
  See Also:
    com.togethersoft.openapi.util.ui.UIComponentService.getUIComponent

### propertyChange

    public void propertyChange(PropertyChangeEvent e)

  Called whenever property is changed.

### setActiveComponentName

    public void setActiveComponentName(String name)

  Makes specified tab active (selects) on this pane. Does nothing if a pane is not initialized, or a component with this name does not exist.
  Parameters:
    Name - `String` name of tab to be activated

### stateChanged

    public void stateChanged(ChangeEvent e)

  Called whenever state of tabbed pane is changed.

Association Links

to Class javax.swing.JTabbedPane

to Class com.togethersoft.openapi.ide.inspector.IdeInspector

to Class java.util.Hashtable

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD